;/***************************************************************************
;*
;*                   Digital Sound Interface Kit (DSIK)
;*                            Version 2.00
;*
;*                           by Carlos Hasan
;*
;* Filename:     stub.asm
;* Version:      Revision 1.1 (EXPERIMENTAL)
;*
;* Language:     Turbo Assembler 4.0
;* Environment:  IBM PC (DOS/4GW)
;*
;* Description:  PE Dynamic Link Library Audio Driver Stub code.
;*
;* Revision History:
;* -----------------
;*
;* Revision 1.1  95/01/13  22:34:17  chv
;* Now can be assembled using TASM 3.2 or later
;*
;* Revision 1.0  94/12/18  15:05:02  chv
;* Initial revision
;***************************************************************************/

ideal
p386
model flat,c

ifndef DRIVER
err "You must specify the audio driver!"
endif

includelib "audio.lib"

dataseg

global DRIVER

codeseg

        db  'DSIK Audio Driver Stub V1.00 '
        db  'Copyright 1993,94 Carlos Hasan',0

publicdll pascal DriverProc
DriverProc:
        lea     eax,[DRIVER]
EntryPoint:
        ret

end     EntryPoint
